Subject: [bfcpbis] Stephen Farrell's No Objection on draft-ietf-bfcpbis-bfcp-websocket-14: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Thu, 19 Jan 2017 04:58:52 -0800

Stephen Farrell has entered the following ballot position for
draft-ietf-bfcpbis-bfcp-websocket-14: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bfcpbis-bfcp-websocket/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

- I support Ben's discuss and hope the discussion about the
gen-art review continues and reaches a good conclusion.

- WRT Kathleen's comment, while I think it'd be a fine thing
were HOBA usable with ws/wss, I doubt that browsers will do
that, so adding the reference may be misleading.

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Mon, 30 Jan 2017 15:13:27 +0000

Hi Stephen,

Thanks for your feedback. Please see inline <Ram>

-----Original Message-----
From: Stephen Farrell <[email-masked]>
Date: Thursday, 19 January 2017 at 6:28 PM
To: The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "Charles Eckel (eckelcu)" <[email-masked]>, "[email-masked]" <[email-masked]>, "Charles Eckel (eckelcu)" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Stephen Farrell's No Objection on draft-ietf-bfcpbis-bfcp-websocket-14: (with COMMENT)
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Thursday, 19 January 2017 at 6:28 PM

    

 <Ram> I will reply to this in the thread with Ben.
 
    - WRT Kathleen's comment, while I think it'd be a fine thing
    were HOBA usable with ws/wss, I doubt that browsers will do
    that, so adding the reference may be misleading.
<Ram> I looked around and don’t see any mentioned of browsers supporting HOBA. That said is this text a reasonable addition or do you have any suggestions to refine it ?

EXISTING:
         If the status code received from the server is not 101,
          the WebSocket client stack handles the response per HTTP
          [RFC7230] procedures, in particular the
          client might perform authentication if it receives 401
          status code.
NEW:
        If the status code received from the server is not 101,
          the WebSocket client stack handles the response per HTTP
          [RFC7230] procedures, in particular the
          client might perform authentication if it receives 401
          status code.  The WebSocket clients are vulnerable to the attacks
         of basic authentication (mentioned in Section 4 of [RFC7617]) and 
        digest authentication (mentioned in Section 5 of [RFC7616]). To overcome
        some of these weakness, the WebSocket clients can use HTTP Origin-Bound Authentication (HOBA)
        mechanism mentioned in [RFC7486].

Regards,
Ram